% Sets the simulation configuration settings on all the models

function [] = SCDconf_setSIMconf()
    disp('Setting configurationSettings = configurationSettingsSIM in configurations.sldd ...');
    d=Simulink.data.dictionary.open('configurations.sldd');
    dd=getSection(d, 'Configurations');
    simconf=dd.getEntry('configurationSettingsSIM');
    configurationSettings=simconf.getValue;
    configurationSettings.Name='configurationSettings';
    
    if dd.exist('configurationSettings')
       activeconf=dd.getEntry('configurationSettings');
       activeconf.setValue(configurationSettings);
    else
      dd.addEntry('configurationSettings',configurationSettings)
    end
end

    